explore_4pl <- tagList(
  div(),#empty, just for spacing
  navset_pill(
    id = "tab_menu_2",
  
    nav_panel("normal option TODO", 
      tags$div("graphs 4pl TODO"),
      accordion(
        open = FALSE,
        accordion_panel(
          title = "4PL-Tests",
          p("This is the content inside the expandable box."),
        )
      ),
      accordion(
        open = FALSE,
        accordion_panel(
          title = "unrestricted ANOVA for 4PL",
          p("This is the content inside the expandable box."),
        )
      ),
      accordion(
        open = FALSE,
        accordion_panel(
          title = "Error calculations:", #TODO NAME?
          p("This is the content inside the expandable box."),
        )
      )
    ),
    
    
    nav_panel("ln-transformed y", 
      tags$div("graphs 4pl ln transformed y TODO"),
      accordion(
        open = FALSE,
        accordion_panel(
          title = "4PL-Tests for ln-transformed y",
          p("This is the content inside the expandable box."),
        )
      )
    ),
  ),
)

explore_linear <- tagList(
  tags$p("graphs linear TODO"), 
  accordion(
    open = FALSE,
    accordion_panel(
      title = "Tests for linear PLA:",
      p("This is the content inside the expandable box."),
    )
  ),
  accordion(
    open = FALSE,
    accordion_panel(
      title = "ANOVA for parallel line assay:",
      p("This is the content inside the expandable box."),
    )
  ),
  accordion(
    open = FALSE,
    accordion_panel(
      title = "Unrestricted linear model (SSSI):",
      p("This is the content inside the expandable box."),
    )
  ),
  accordion(
    open = FALSE,
    accordion_panel(
      title = "Restricted linear model (CSSI):",
      p("This is the content inside the expandable box."),
    )
  )
)



explore_page <- layout_sidebar(
  sidebar = sidebar(
    class = "sidebar",
    tags$div(  class = "sidebar_collector",
      tags$h5( class = "sidebar_collector_header",
        "Exploration Settings"
      ),
      sliderInput("sdfac", "Variability of lower to upper asymptote [%]:", min = 0, max = 100, value = 50),
      sliderInput("potencydiff", "Potency of test [%]:", min = 0, max = 200, value = 100),
      checkboxInput("PureErrMeta","Use pure error", FALSE),
      checkboxInput("heterosked","Heteroskedastic noise", FALSE),
    ),
    tags$div( class = "sidebar_collector",
      tags$h5( class = "sidebar_collector_header", "Curve Settings"),
      numericInput("lowAsymptREF", "lower asymptote REF", 10, step = 1, min = 0),
      numericInput("lowAsymptTEST", "lower asymptote TEST", 10, step = 1, min = 0),
      numericInput("uppAsymptREF", "upper asymptote REF", 110, step = 1, min = 0),
      numericInput("uppAsymptTEST", "upper asymptote TEST", 110, step = 1, min = 0),
      numericInput("slopeREF", "slope REF", 1, step = 0.1, min = -10),
      numericInput("slopeTEST", "slope TEST", 1, step = 0.1, min = -10),
      numericInput("EC50", "EC50 REF", -3.5),
      numericInput("potDiff", "potency difference", 0)
      ),
    tags$div( class = "sidebar_collector",
              tags$h5( class = "sidebar_collector_header", "Dilutions"),
              numericInput("CONC1", "highest concentration", 0.3, min = -3.5),
              numericInput("CONC2", "2nd concentration", 0.15),
              numericInput("CONC3", "3rd concentration", 0.075),
              numericInput("CONC4", "4th concentration", 0.0375),
              numericInput("CONC5", "5th concentration", 0.01875),
              numericInput("CONC6", "6th concentration", 0.00938),
              numericInput("CONC7", "7th concentration", 0.00469),
              numericInput("CONC8", "8thd concentration", 0.00235),
              numericInput("CONC9", "9thd concentration", value = NA),
              numericInput("CONC10", "10th concentration", value = NA),
              numericInput("CONC11", "11th concentration", value = NA),
              numericInput("CONC12", "lowest concentration", NA)
    ),
    tags$div( class = "sidebar_collector",
              tags$h5( class = "sidebar_collector_header", "Geometric Dilution Scheme"),
              numericInput("ConcStart", "starting concentration", value = NA, min = 0),
              numericInput("dilutionFac", "dilution factor", value = NA, min = 0, max = 10),
              numericInput("NoDil", "no. of dilutions", value = NA, min = 8),
              numericInput("NoDilSer", "no. of dil. series", value = NA, min = 0), #TODO 1?
    ),
  ),
  
  
  # Main content goes here (can be multiple elements)
  navset_pill(
    id = "tab_menu_1",
    nav_panel("4PL", explore_4pl),
    nav_panel("LINEAR", explore_linear)
  ),
  accordion(
    open = FALSE,
    accordion_panel(
      title = "Input-Data with added random noise:",
      box( # TODO
        title = "Simulated data per log-concentration", solidHeader = TRUE, width = 12, "incl. mean, sd and CV%",
        DT::dataTableOutput("ConctabMeta") 
      ),
    )
  )
)
